org.eclipse.net4j.util

## Class AdapterUtil

- java.lang.Object
- - org.eclipse.net4j.util.AdapterUtil

-     public final class AdapterUtil
      extends Object

  Provides a single static `adapt()` method that conveniently and safely wraps the Platform's adaptation framework.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <TYPE> TYPE` | `adapt(Object object, Class<TYPE> type)`
    `static <TYPE> TYPE` | `adapt(Object object, Class<TYPE> type, boolean consultObject)`
    `static <TYPE> boolean` | `adapts(Object object, Class<TYPE> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### adapts

          public static <TYPE> boolean adapts(Object object,
                                              Class<TYPE> type)

      Since:
        3.5

    - #### adapt

          public static <TYPE> TYPE adapt(Object object,
                                          Class<TYPE> type)

    - #### adapt

          public static <TYPE> TYPE adapt(Object object,
                                          Class<TYPE> type,
                                          boolean consultObject)

      Since:
        3.5

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html